PMLOGGER_REWRITE(1)

NAME
pmlogger_rewrite - helper script to rewrite Performance Co-Pilot archives

SYNOPSIS
$PCP_BINADM_DIR/pmlogger_rewrite [-dNsVvw?] [-c config] archive ...

DESCRIPTION
pmlogger_rewrite is a helper script that is used by pmlogger_daily(1) when rewriting Performance Co-Pilot (PCP) archives. Rewriting is usually required to accommodate evolutionary changes in metadata so old archives can be updated and then merged with current archives.

pmlogger_rewrite is a wrapper script for pmlogrewrite(1) that will potentially rewrite all of the archive logs matching the archive arguments. Each archive argument may be a PCP archive file name, the basename for the files in a PCP archive, or a directory (in which case all subordinate PCP archives are found by recursive descent).

pmlogrewrite is run with the -i option so rewriting is done ``in place''. The -q option is also used, so if no rewriting is required then no changes are made to the archive files.

OPTIONS
The following options are passed through to pmlogrewrite: -c (or --config), -d (or --desperate), -s (or --scale), -v (or --verbose) and -w (or --warnings). Refer to pmlogrewrite(1) for the meaning of these options.

The remaining options are:

-N, --showme
    Runs pmlogger_rewrite in a ``show me'' or ``dry run'' mode where the tasks that would be performed are reported, but no changes are made. This is typically used for debugging in combination with one (verbose) or two (very verbose) -V options.

-V, --verbose
    Increase script output verbosity.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmlogger(1), pmlogger_daily(1) and pmlogrewrite(1).